/**
 * Copyright 2021 Leroy Merlin Vostok LLC
 *
 * Use of this source code is governed by a MIT-style
 * license that can be found in the LICENSE file or at
 * https://opensource.org/licenses/MIT.
 */
import type { DynamicModule } from '@nestjs/common';
import type { LoggerModuleOptions } from './interfaces/logger-module-options.interface';
export declare class LoggerCoreModule {
    constructor(pinoLoggerOptions: LoggerModuleOptions);
    static forRoot(pinoLoggerOptions?: LoggerModuleOptions): DynamicModule;
}
