/**
 * Copyright 2021 Leroy Merlin Vostok LLC
 *
 * Use of this source code is governed by a MIT-style
 * license that can be found in the LICENSE file or at
 * https://opensource.org/licenses/MIT.
 */
import type { LoggerModuleOptions } from './interfaces/logger-module-options.interface';
export declare class PinoLogger {
    private readonly logger;
    constructor(pinoLoggerOptions: LoggerModuleOptions);
    log(mergingObject: string | Record<string, any>, message?: string): void;
    warn(mergingObject: string | Record<string, any>, message?: string): void;
    error(mergingObject: string | Record<string, any>, stackTrace?: string, message?: string): void;
}
